org.apache.mina.proxy.event

## Class IoSessionEvent

- java.lang.Object
- - org.apache.mina.proxy.event.IoSessionEvent

-     public class IoSessionEvent
      extends Object

  IoSessionEvent.java - Wrapper Class for enqueued events.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoSessionEvent(IoFilter.NextFilter nextFilter, IoSession session, IdleStatus status)` Creates an instance of this class when event type is `IoSessionEventType.IDLE`.
    `IoSessionEvent(IoFilter.NextFilter nextFilter, IoSession session, IoSessionEventType type)` Creates an instance of this class when event type differs from `IoSessionEventType.IDLE`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deliverEvent()` Delivers this event to the next filter.
    `IoFilter.NextFilter` | `getNextFilter()` Returns the next filter to which the event should be sent.
    `IoSession` | `getSession()` Returns the session on which the event occured.
    `IdleStatus` | `getStatus()` Returns the idle status of the event.
    `IoSessionEventType` | `getType()` Returns the event type that occured.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoSessionEvent

          public IoSessionEvent(IoFilter.NextFilter nextFilter,
                        IoSession session,
                        IoSessionEventType type)

      Creates an instance of this class when event type differs from `IoSessionEventType.IDLE`.
      Parameters:
        `nextFilter` - the next filter
        `session` - the session
        `type` - the event type

    - #### IoSessionEvent

          public IoSessionEvent(IoFilter.NextFilter nextFilter,
                        IoSession session,
                        IdleStatus status)

      Creates an instance of this class when event type is `IoSessionEventType.IDLE`.
      Parameters:
        `nextFilter` - the next filter
        `session` - the session
        `status` - the idle status

  - ### Method Detail

    - #### deliverEvent

          public void deliverEvent()

      Delivers this event to the next filter.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getStatus

          public IdleStatus getStatus()

      Returns the idle status of the event.
      Returns:
        the idle status of the event

    - #### getNextFilter

          public IoFilter.NextFilter getNextFilter()

      Returns the next filter to which the event should be sent.
      Returns:
        the next filter

    - #### getSession

          public IoSession getSession()

      Returns the session on which the event occured.
      Returns:
        the session

    - #### getType

          public IoSessionEventType getType()

      Returns the event type that occured.
      Returns:
        the event type

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.